Walmart product search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-walmart-product-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "wireless mouse",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-walmart-product-search"
payload = {
"keyword": "wireless mouse",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'wireless mouse', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-walmart-product-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "walmart_product_search",
"keyword": "wireless mouse",
"max_items": 2,
"start_page": 1,
"sort": "best_match",
"min_price": null,
"max_price": null,
"timeout": 300,
"partial": false,
"human": "# Walmart product search\n\n- **Search term:** wireless mouse\n- **Starting page:** 1\n- **Max items:** 2\n- **Sort:** best_match\n- **Records returned:** 2\n- **Response size:** 1.50 MB",
"machine": {
"total_items": 2,
"items": [
{
"id": "10774352381",
"name": "Logitech Precision Pro Wireless Mouse, Black, Compatible with Laptop, PC, Mac, iPadOS, Walmart Exclusive",
"url": "https://www.walmart.com/ip/Logitech-Precision-Pro-Wireless-Mouse/10774352381?classType=REGULAR",
"price": 38.66,
"currency": "USD",
"list_price": null,
"image": "https://i5.walmartimages.com/seo/Logitech-Precision-Pro-Wireless-Mouse_c76cddbf-c8cb-47d0-8e85-4add479ce780.1728b07ccdbdcbcec9c5abf4f7c22987.png?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"rating": 4.5,
"review_count": 247,
"category": "Home Page/Electronics/Computers, Laptops and Tablets/Computer Accessories/Computer Keyboards & Mice/Computer Mouse & Mouse Pads/Wireless Mouse",
"seller": {
"id": "F55CDC31AB754BB68FE0B39041159D63",
"name": "Walmart.com",
"type": null
},
"availability_status": "IN_STOCK",
"is_in_stock": true,
"is_sponsored": true
},
{
"id": "13802306327",
"name": "Logitech Silent Wireless Mouse, Black, Walmart Exclusive",
"url": "https://www.walmart.com/ip/Logitech-Silent-Wireless-Mouse-Black/13802306327?classType=VARIANT&athbdg=L1200",
"price": 14.52,
"currency": "USD",
"list_price": null,
"image": "https://i5.walmartimages.com/seo/Logitech-Silent-Wireless-Mouse-Black_cfe0592c-dd7d-4d65-9af9-52f5bf7bd47e_1.742d532fe35714dd47641a50658a2609.jpeg?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"rating": 4.5,
"review_count": 5618,
"category": "Home Page/Services/Immersive Shopping Suite/View in 3D",
"seller": {
"id": "F55CDC31AB754BB68FE0B39041159D63",
"name": "Walmart.com",
"type": null
},
"availability_status": "IN_STOCK",
"is_in_stock": true,
"is_sponsored": true
}
],
"response_bytes": 1568313
},
"total_points": 2
}E-commerce & Marketplaces
Walmart product search
Search Walmart products by keyword: title, price, rating, and seller. 1 point per returned record.
POST
/
functions
/
v1
/
run-walmart-product-search
Walmart product search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Search term. e.g. wireless mouse
Max items (up to 250)
Required range:
1 <= x <= 250Starting page
Required range:
x >= 1Sort by. Options: price_low = Price: low to high, price_high = Price: high to low, best_seller = Best seller, new = New arrivals, rating_high = Highest rated
Available options:
price_low, price_high, best_seller, new, rating_high Min price
Max price
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.